}
foreach my $kp (keys %{ $ho->{Flags} }) {
- $kp =~ s/need-kernel-deb-// or next;
+ # Backwards compatibility
+ $kp = "need-kernel-deb-wheezy-backports" if $kp eq "need-kernel-deb-armmp";
+ $kp =~ s/need-kernel-deb-$ho->{Suite}// or next;
my $kern = "$d_i/$kp.deb";
my $kurl = create_webfile($ho, "kernel", sub {
fetch "$site/$pkgfile" >initramfs-tools.deb
set +e
- echo >&2 "collecting armmp kernel"
+ echo >&2 "collecting backports kernel"
# Be careful to pickup the actual kernel package from the 'linux'
# source and not a meta package from 'linux-latest'
pkgfile=`zcat Packages.gz | grep-dctrl -S linux | grep-dctrl -Pe ^linux-image-.*-armmp$ -nsFilename | sort -n -r | head -n1`
rc=$?
set -e
- if [ $rc != 0 ]; then fail "armmp kernel package not found"; fi
- fetch "$site/$pkgfile" >armmp.deb
- dpkg-deb -x armmp.deb x
- cp x/boot/vmlinuz-* linux.armmp
+ if [ $rc != 0 ]; then fail "backports kernel package not found"; fi
+ fetch "$site/$pkgfile" >backports.deb
+ dpkg-deb -x backports.deb x
+ cp x/boot/vmlinuz-* linux.backports
# The full set of modules is pretty large and not that
# useful. Just pull in the ones we need for our particular
# preseed, which is basically disk, net, filesystems and LVM.
-path \*/kernel/drivers/usb/host/\* \) \
|pax -x sv4cpio -s '%lib%/lib%' -d -w -M norm >../cpio; cd ..
gzip -9nf cpio
- mv cpio.gz armmp.cpio.gz
- rm -rf dtbs/
- mkdir dtbs/
- mv x/usr/lib/linux-image-*-armmp/*.dtb dtbs/
- tar --mtime=./x/usr/lib -cf dtbs.tar dtbs
- gzip -9nf dtbs.tar
+ mv cpio.gz backports.cpio.gz
+ rm -rf backports-dtbs/
+ mkdir backports-dtbs/
+ mv x/usr/lib/linux-image-*-armmp/*.dtb backports-dtbs/
+ tar --mtime=./x/usr/lib -cf backports-dtbs.tar backports-dtbs
+ gzip -9nf backports-dtbs.tar
rm -rf x
fi
TftpPxeTemplatesReal pxelinux.cfg/%ipaddrhex%
TftpPxeGroup osstest
-TftpDiVersion 2015-01-10
+TftpDiVersion 2015-06-23
# These should normally be the same.
MicrocodeUpdateAmd64 microcode.x86.2015-06-12.cpio
}
foreach my $kp (keys %{ $ho->{Flags} }) {
- $kp =~ s/need-kernel-deb-// or next;
+ # Backwards compatibility
+ $kp = "need-kernel-deb-wheezy-backports" if $kp eq "need-kernel-deb-armmp";
+ $kp =~ s/need-kernel-deb-$ho->{Suite}// or next;
my $kern= "$ho->{Tftp}{Path}/$d_i/linux.$kp";
if (stat $kern) {
logm("using kernel from: $kern");
}
my $dtbs = "";
- $dtbs = "fdtdir /$d_i/dtbs"
- if -e "$ho->{Tftp}{Path}/$d_i/dtbs";
+ foreach my $kp (keys %{ $ho->{Flags} }) {
+ # Backwards compatibility
+ $kp = "need-kernel-deb-wheezy-backports" if $kp eq "need-kernel-deb-armmp";
+ $kp =~ s/need-kernel-deb-$ho->{Suite}// or next;
+
+ $dtbs = "fdtdir /$d_i/$kp-dtbs"
+ if -e "$ho->{Tftp}{Path}/$d_i/$kp-dtbs";
+ }
file_simple_write_contents("$initrd_overlay.cpio", sub {
contents_make_cpio($_[0], 'newc', "$initrd_overlay.d");